Last Comment Bug 760971 - Port |Bug 728141 - Replace old synchronous favicons calls in browser| to Thunderbird
: Port |Bug 728141 - Replace old synchronous favicons calls in browser| to Thun...
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Toolbars and Tabs (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 16.0
Assigned To: Ian Neal
:
Mentors:
Depends on: 728141
Blocks: asyncFaviconCallers
  Show dependency treegraph
 
Reported: 2012-06-03 04:22 PDT by Ian Neal
Modified: 2012-06-05 14:35 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed


Attachments
Switch to Asynchronous Favicons [Checked in: Comment 2 & 4] (1.04 KB, patch)
2012-06-03 04:22 PDT, Ian Neal
mconley: review+
standard8: approval‑comm‑aurora+
standard8: approval‑comm‑beta+
Details | Diff | Splinter Review

Description Ian Neal 2012-06-03 04:22:56 PDT
Created attachment 629590 [details] [diff] [review]
Switch to Asynchronous Favicons [Checked in: Comment 2 & 4]

References:
Bug 713642 - (asyncFaviconCallers) Replace all old synchronous favicons calls in the codebase.
Bug 713269 - Use Asynchronous Favicons API for PlacesUtils.jsm.
Bug 728141 - Replace old synchronous favicons calls in browser.
Comment 1 Mike Conley (:mconley) - (Needinfo me!) 2012-06-04 10:19:36 PDT
Comment on attachment 629590 [details] [diff] [review]
Switch to Asynchronous Favicons [Checked in: Comment 2 & 4]

Review of attachment 629590 [details] [diff] [review]:
-----------------------------------------------------------------

Looks good, thanks.
Comment 2 Ian Neal 2012-06-04 16:54:09 PDT
Comment on attachment 629590 [details] [diff] [review]
Switch to Asynchronous Favicons [Checked in: Comment 2 & 4]

http://hg.mozilla.org/comm-central/rev/f6e3760f12cc
Comment 3 Ian Neal 2012-06-04 16:56:41 PDT
Comment on attachment 629590 [details] [diff] [review]
Switch to Asynchronous Favicons [Checked in: Comment 2 & 4]

[Approval Request Comment]
Regression caused by (bug #): 
User impact if declined: Favicon may not be correct for any browser pages, so probably not very visible.
Testing completed (on c-c, etc.): c-c
Risk to taking this patch (and alternatives if risky): Low risk, ported patch landed on Firefox 13.

Note You need to log in before you can comment on or make changes to this bug.